body {
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
}

header {
    width: 100%;
    height: 90vh;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    background-color: var(--background-dark);
}

.header-content {
    width: 100%;
    height: 90vh;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    background:
        linear-gradient(120deg, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.6)),
        url("../images/grainy.svg") repeat scroll center,
        url("../images/background-header.jpg") no-repeat scroll center 50%;
}

header img {
    width: 15rem;
}

main {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: justify;
    position: relative;
}

.btn-edit {
    position: fixed;
    top: 5rem;
    right: 3rem;
}

.recent-news {
    width: 80%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    transform: translateY(-50%);
    margin-bottom: 4rem;
}

.news-carousel {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    border: 1px solid var(--neutral-border);
    background-color: var(--background-light);
    box-shadow: 0 0 50px 10px var(--primary-shadow);
}

.news-carousel-body-wrapper {
    width: 100%;
    height: 20rem;
    position: relative;
    overflow: hidden;
}

.news-carousel-body {
    height: 20rem;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: stretch;
    gap: 1.5rem;
    transition: transform ease-in-out .4s;
}

.carousel-btn {
    width: 3rem;
    height: 20rem;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 0;
    z-index: 2;
    cursor: pointer;
    border: none;
    outline: none;
    transition: all ease-in-out .3s;
}

.carousel-btn svg {
    width: 3rem;
    height: 3rem;
}

.carousel-btn:hover {
    width: 3.5rem;
}

.carousel-left {
    left: 0;
    background: linear-gradient(90deg, var(--background-light) 60%, rgba(255, 255, 255, 0) 100%);
}

.carousel-right {
    right: 0;
    background: linear-gradient(270deg, var(--background-light) 60%, rgba(255, 255, 255, 0) 100%);
}

.news-carousel .new {
    width: 70%;
    min-width: 70%;
    height: 20rem;
    display: flex;
    flex-direction: row;
    flex-shrink: 0;
    justify-content: space-between;
    align-items: center;
    gap: 2rem;
    padding: 2rem;
    text-decoration: none;
    transition: all ease-in-out .3s;
}

.new .new-cape {
    width: 40%;
    height: 100%;
}

.new-cape img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.new .new-info {
    width: 60%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.new-info .new-title {
    text-decoration: underline;
}

.new-info .new-publication-date {
    align-self: flex-end;
}

.news-carousel .new:hover {
    background-color: var(--background-light-hover);
}

.news-carousel .read-more {
    width: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    border-top: 1px solid var(--neutral-border);
    padding: 1rem;
}

section {
    display: flex;
    flex-direction: column;
    width: 60%;
    margin-bottom: 2rem;
}

.content {
    width: 100%;
    padding: 1rem;
}

@media only screen and (max-width: 1200px) {
    .btn-edit {
        top: 2rem;
    }
}

@media only screen and (max-width: 992px) {
    .news-table {
        width: 80%;
    }

    section {
        width: 80%;
    }
}

@media only screen and (max-width: 768px) {
    .header-content {
        flex-direction: column;
    }

    .header-content h1 {
        display: none;
    }

    .recent-news {
        width: 95%;
    }

    .news-carousel .new {
        width: 85%;
        min-width: 85%;
        flex-direction: column;
        gap: 1rem;
        padding: 1rem;
    }
    
    section {
        width: 95%;
    }

    section .row {
        flex-direction: column;
    }
}

@media only screen and (max-width: 600px) {
    .news-carousel .new {
        width: 90%;
        min-width: 90%;
    }

    .new .new-cape,
    .new .new-info {
        width: 100%;
    }

    .new .new-cape {
        height: 45%;
    }

    .new .new-info {
        height: 55%;
    }
}